diff options
Diffstat (limited to 'WebKitTools/CygwinDownloader/make-zip.sh')
-rwxr-xr-x | WebKitTools/CygwinDownloader/make-zip.sh | 30 |
1 files changed, 30 insertions, 0 deletions
diff --git a/WebKitTools/CygwinDownloader/make-zip.sh b/WebKitTools/CygwinDownloader/make-zip.sh new file mode 100755 index 0000000..4a389a9 --- /dev/null +++ b/WebKitTools/CygwinDownloader/make-zip.sh @@ -0,0 +1,30 @@ +#!/bin/sh + +PYTHONEXE=$(cygpath -u "${SYSTEMDRIVE}\\Python25\\python.exe") +ZIPNAME="cygwin-downloader.zip" + +if [[ ! -f "${PYTHONEXE}" ]]; then + echo "Couldn't find python.exe at ${PYTHONEXE}" 1>&2 + exit 1 +fi + +"${PYTHONEXE}" setup.py py2exe || { + echo "Failed executing setup.py" 1>&2 + exit 1 +} + +rm -f "${ZIPNAME}" + +cd dist + +zip -r ../"${ZIPNAME}" * || { + echo "Failed to create cygwin-downloader" 1>&2 + exit 1 +} + +cd .. + +rm -rf build dist || { + echo "Failed to cleanup cygwin-downloader and build directories" 1>&2 + exit 1 +} |